searchNodes=[{"doc":"elixir_bme280 provides a high level abstraction to interface with the BME280 environmental sensor on Linux platforms.","ref":"Bme280.html","title":"Bme280","type":"module"},{"doc":"Returns a specification to start this module under a supervisor.See Supervisor.","ref":"Bme280.html#child_spec/1","title":"Bme280.child_spec/1","type":"function"},{"doc":"Callback implementation for GenServer.init/1.","ref":"Bme280.html#init/1","title":"Bme280.init/1","type":"function"},{"doc":"Perform a measurement on the BME280 sensor and synchronously return itMeasurements are structs like:%Bme280.Measurement{ temperature: 21.74, pressure: 30.52, humidity: 45.32 }","ref":"Bme280.html#measure/1","title":"Bme280.measure/1","type":"function"},{"doc":"Perform a measurement on the BME280 sensor and asynchronously send the result as a message to the pid in send_to","ref":"Bme280.html#measure_async/2","title":"Bme280.measure_async/2","type":"function"},{"doc":"Starts and links the Bme280 GenServer.Options:i2c_device_number is the number of the i2c device, e.g. 1 for /dev/i2c-1i2c_address i2c address of the sensor. It can be only 0x76 or 0x77temperature_offset is an offset, in degrees Celsius, that will be subtracted to temperature measurements in order to compensate for the internal heating of the device. It's typically around 4 or 5 degrees, and also affects relative humidity calculations","ref":"Bme280.html#start_link/2","title":"Bme280.start_link/2","type":"function"},{"doc":"Gracefully stops the Bme280 GenServer.","ref":"Bme280.html#stop/1","title":"Bme280.stop/1","type":"function"},{"doc":"elixir_bme680 provides a high level abstraction to interface with the BME680 environmental sensor on Linux platforms.","ref":"Bme680.html","title":"Bme680","type":"module"},{"doc":"Returns a specification to start this module under a supervisor.See Supervisor.","ref":"Bme680.html#child_spec/1","title":"Bme680.child_spec/1","type":"function"},{"doc":"Callback implementation for GenServer.init/1.","ref":"Bme680.html#init/1","title":"Bme680.init/1","type":"function"},{"doc":"Perform a measurement on the BME680 sensor and synchronously return itMeasurements are structs like:%Bme680.Measurement{ temperature: 21.74, pressure: 1090.52, humidity: 45.32, gas_resistance: 10235 }","ref":"Bme680.html#measure/1","title":"Bme680.measure/1","type":"function"},{"doc":"Perform a measurement on the BME680 sensor and asynchronously send the result as a message to the pid in send_to","ref":"Bme680.html#measure_async/2","title":"Bme680.measure_async/2","type":"function"},{"doc":"Starts and links the Bme680 GenServer.Options:i2c_device_number is the number of the i2c device, e.g. 1 for /dev/i2c-1i2c_address i2c address of the sensor. It can be only 0x76 or 0x77temperature_offset is an offset, in degrees Celsius, that will be subtracted to temperature measurements in order to compensate for the internal heating of the device. It's typically around 4 or 5 degrees, and also affects relative humidity calculations","ref":"Bme680.html#start_link/2","title":"Bme680.start_link/2","type":"function"},{"doc":"Gracefully stops the Bme680 GenServer.","ref":"Bme680.html#stop/1","title":"Bme680.stop/1","type":"function"},{"doc":"Elixir Bme680 An Elixir library to interface with the BME680 and BME280 environmental sensors. The BME680 provides measurements of temperature, pressure, humidity, and gas resistance (which is a proxy of indoor air quality). The ME680 is a lower cost device that only provides measurements of temperature, pressure, humidity.","ref":"readme.html","title":"Elixir Bme680","type":"extras"},{"doc":"The package can be installed by adding elixir_bme680 to your list of dependencies in mix.exs:def deps do [ {:elixir_bme680, &quot;~&gt; 0.1.4&quot;} ] endThe Linux I2C driver needs to be installed for this library to work (e.g. libi2c-dev on Debian). If using Nerves, the driver should already be installed by default.","ref":"readme.html#installation","title":"Elixir Bme680 - Installation","type":"extras"},{"doc":"{:ok, pid} = Bme680.start_link() measurement = Bme680.measure(pid) # Measurement is like: # # %Bme680.Measurement{ # temperature: 21.74, # pressure: 1090.52, # humidity: 45.32, # gas_resistance: 10235 # } # # Where temperature is in degrees Celsius, pressure in hPa, humidity in % # relative humidity, and gas_resistance in Ohm","ref":"readme.html#usage-with-bme680","title":"Elixir Bme680 - Usage with Bme680","type":"extras"},{"doc":"{:ok, pid} = Bme280.start_link() measurement = Bme280.measure(pid) # Measurement is like: # # %Bme280.Measurement{ # temperature: 21.74, # pressure: 30.52, # humidity: 45.32 # } # # Where temperature is in degrees Celsius, pressure in inHg, humidity in % # relative humidityFor more information, read the API documentation.","ref":"readme.html#usage-with-bme280","title":"Elixir Bme680 - Usage with Bme280","type":"extras"},{"doc":"The default setting has been tested on the Pimoroni BME680. The Adafruit BME680 requires using a different i2c address. For the Adafruit, pass in the i2c_address option with value 0x77 as follows:Bme680.start_link(i2c_address: 0x77)","ref":"readme.html#sensor-compatibility-bme680","title":"Elixir Bme680 - Sensor compatibility BME680","type":"extras"},{"doc":"The default setting has been tested on the HiLetgo BME280.","ref":"readme.html#sensor-compatibility-bme280","title":"Elixir Bme680 - Sensor compatibility BME280","type":"extras"},{"doc":"Note that, due to the nature of the BME680 gas resistance sensor, the gas resistance measurement needs a warm-up in order to give stable measurements. One possible strategy is to perform continuous meaurements in a loop until the value stabilizes. That might take from a few seconds to several minutes (or more when the sensor is brand new).","ref":"readme.html#note-on-gas-resistance-sensor-warm-up-on-the-bme680","title":"Elixir Bme680 - Note on gas resistance sensor warm up on the BME680","type":"extras"},{"doc":"This project contains low-level code from the BME680 driver by Bosch and the BME280 driver by Bosch","ref":"readme.html#acknowledgements","title":"Elixir Bme680 - Acknowledgements","type":"extras"}]